Skip to main content
GET
Get rolling share of voice time series and breakdowns

Authorizations

x-api-key
string
header
required

Organization-scoped API key. Available scopes:

  • content:read: Read site pages, markdown content, and llms.txt files
  • content:write: Create, update, and delete site pages and content
  • prompts:read: Read prompts, topics, prompt suggestions, and prompt analysis results
  • prompts:write: Create, update, archive prompts and generate, edit, or review prompt suggestions
  • simulations:read: Read agent-simulation tasks, runs, environments, and analytics
  • simulations:write: Create and trigger simulation runs
  • logs:read: Read AI-traffic logs and request-level audit events
  • analytics:read: Read analytics aggregates (rankings, mentions, sources, SOV)
  • analytics:write: Write events to analytics
  • products:read: Read product metadata and competitor data
  • products:write: Update product settings and competitor lists

Query Parameters

productId
string

Product ID to use as the primary SOV scope.

Minimum string length: 1
brandId
string
deprecated

Deprecated. Use productId instead. Product ID to use as the primary SOV scope.

Minimum string length: 1
by
enum<string>
Available options:
prompt,
topic,
engine,
competitor,
sentiment
viewId
string

View ID to scope results to the view's prompts. Not supported with by=topic or topicId.

Minimum string length: 1
promptId
string
Minimum string length: 1
topicId
string
Minimum string length: 1
engine
string
Minimum string length: 1
regionId
string
Minimum string length: 1
granularity
enum<string>
default:day

UTC calendar bucket used for time-series points and as the unit for rollingWindow. Week buckets start on Monday.

Available options:
day,
week,
month
rollingWindow
integer
default:30

Number of granularity buckets included in each time-series point. Accepts 1 through 30 and defaults to 30.

Required range: 1 <= x <= 30
start
string

Selects the earliest calendar bucket returned. Must be supplied with end. For week or month granularity, the containing bucket starts before this date and includes those earlier dates in its rolling calculation.

Pattern: ^\d{4}-\d{2}-\d{2}$
end
string

Selects the latest calendar bucket returned. Must be supplied with start. For week or month granularity, the containing bucket is returned with data accumulated only through this date.

Pattern: ^\d{4}-\d{2}-\d{2}$
pinned
boolean

Only valid with by=competitor. When true, return only the product's pinned competitors' SoV (paginated over the pinned subset).

page
integer
default:1
Required range: x >= 1
pageSize
integer
default:20
Required range: 1 <= x <= 100
sortBy
enum<string>
Available options:
sov,
mentions,
runs,
label
sortDirection
enum<string>
Available options:
asc,
desc

Response

Successful response

ok
enum<boolean>
required
Available options:
true
data
object
required